# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(GD.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.061
%define module_name CNC-Cog
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.061
Release: alt1
Summary: Perl extension for cutting cycloidal gear wheels and related items out of 
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MA/MARKWIN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The following classes are intended for top level use: 

  Cog - generates a meshing pair of toothed wheels. 
  Wheel - instance of a toothed wheel.  
  Boss        - Wheel center for physical attachment
  Ring        - represents a cylendrical space, possibly needing several
                passes both in depth and radius.  
  Hole        - class for a hole. 
  Stack       - cut one or more objects on top of each other
                with this special class
  Grahamwheel - wheel for Graham escapement
  Grahamyoke  - yoke/anchor for Graham escapement 

Each of these are described below. 


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -rf %buildroot%perl_vendor_privlib/CNC/Cog/examples

%files
%doc README Changes
%perl_vendor_privlib/C*

%changelog
* Thu Oct 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.061-alt1
- initial import by package builder

